ofhash(1)

NAME
ofhash - hash files

SYNOPSIS
ofhash [--md5] [--ripemd160] [--sha1] [--sha224] [--sha256] [--sha384] [--sha512] [--iri] file1 [file2 ...]

DESCRIPTION
ofhash is a program to calculate the cryptographic hashes of files.

OPTIONS

--md5
    Calculate MD5 hashes.

--ripemd160, --rmd160
    Calculate RIPEMD-160 hashes.

--sha1
    Calculate SHA-1 hashes.

--sha224
    Calculate SHA-224 hashes.

--sha256
    Calculate SHA-256 hashes.

--sha384
    Calculate SHA-384 hashes.

--sha512
    Calculate SHA-512 hashes.

--iri
    Treat the specified files as IRIs instead.

EXAMPLES
Calculate the SHA-256 and SHA-512 hash of file1 and file2:

    ofhash --sha256 --sha512 file1 file2

Calculate the SHA-256 hash of https://example.com/:

    ofhash --sha256 --iri https://example.com/